// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { Table } from "../../baseUI/table";

// Type from @arco-cli/react/dist/tsdoc/types

export function PropertiesTable({
  schema
}) {
  if (!schema || !schema.length) return null;
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h1", {
    id: "API"
  }, "API"), schema.map(({
    name,
    properties
  }, index) => {
    return /*#__PURE__*/React.createElement("div", {
      key: index
    }, /*#__PURE__*/React.createElement("h2", null, name), /*#__PURE__*/React.createElement(Table, {
      headings: ['name', 'type', 'default', 'description'],
      rows: properties
    }));
  }));
}